%define major 3

%define libnamedevold %{mklibname spandsp 0}-devel
%define libname %mklibname spandsp %{major}
%define libnamedev %mklibname spandsp -d

%define date	20201019
%global githash e08c74db

Summary:        Steve's SpanDSP library for telephony spans
Name:           spandsp
Version:        3.0.0
Release:        %mkrel 1
License:        GPL
Group:          System/Libraries
URL:            https://github.com/freeswitch/spandsp
Source0:        spandsp-%{githash}.tar.xz
BuildRequires:  audiofile-devel
BuildRequires:  fftw-devel
BuildRequires:  file
BuildRequires:  fltk-devel
BuildRequires:  jpeg-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  tiff-devel

%description
spandsp is a library for DSP in telephony spans. It can perform many of the
common DSP functions, such as the generation and detection of DTMF and
supervisory tones.

%package -n %{libname}
Summary:        Steve's SpanDSP library for telephony spans
Group:          System/Libraries

%description -n %{libname}
spandsp is a library for DSP in telephony spans. It can perform many of the
common DSP functions, such as the generation and detection of DTMF and
supervisory tones.

%package -n %{libnamedev}
Summary:        Header files and libraries needed for development with SpanDSP
Group:          Development/Libraries
Obsoletes:      %{libnamedevold} < %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{libnamedev}
This package includes the header files and libraries needed for developing
programs using SpanDSP.

%prep
%setup -q -n %{name}-%{githash}

%build
autoreconf -fiv

%configure2_5x --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{libnamedev}
%{_includedir}/spandsp
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Mar 13 2021 tex - 3.0.0-1pclos2021
- update from git mga sync
